### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-featured/ecl-featured-item.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `ecl-featured-item`
styles | `:host { display: block; }`
templateUrl | `./ecl-featured-item.component.html`

### Index

###### Properties
className mediaContainer
###### Methods
getCssClasses
###### Inputs
eclTitle class e2eAttr
###### HostBindings
class.ecl-featured-item__item
###### Accessors
hasTitle

### Inputs

eclTitle
Type : `string`
Default value : `''`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class.ecl-featured-item__item
Type : `boolean`
Default value : `true`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

className
Default value : `true`
Decorators : `@HostBinding('class.ecl-featured-item__item')`

mediaContainer
Type : `EclMediaContainerComponent`
Decorators : `@ContentChild(EclMediaContainerComponent)`

### Accessors

hasTitle
get `hasTitle()`

# results matching ""

# No results matching ""